Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003456TestLinkAPI - XMLRPCpublic2010-05-13 15:422010-07-02 18:35
Reporterrtessier 
Assigned Tofman 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003456: Missing version parameter for PARAMETER_NOT_INT error.
DescriptionIn the TestlinkXMLRPCServer::checkTestCaseVersionNumber method, the PARAMETER_NOT_INT error is missing the version string.

I've attached a diff file with the local fix I made.
Steps To ReproduceCall the TestlinkXMLRPCServer::getTestCase or TestlinkXMLRPCServer::addTestCaseToTestPlan method with a version parameter which includes non-numeric characters.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filestxt file icon diff.txt [^] (595 bytes) 2010-05-13 15:42 [Show Content]
zip file icon fix-3456.zip [^] (59,841 bytes) 2010-05-13 19:34

- Relationships
related to 0003455closedfman Missing status string for INVALID_STATUS error. 

-  Notes
(0010002)
fman (administrator)
2010-05-13 19:35

please test with attached fix and give us feedback
(0010005)
rtessier (reporter)
2010-05-13 19:58

The fix works great. Thanks.
(0010508)
fman (administrator)
2010-07-02 18:35

1.9 Beta 5 released

- Issue History
Date Modified Username Field Change
2010-05-13 15:42 rtessier New Issue
2010-05-13 15:42 rtessier File Added: diff.txt
2010-05-13 18:39 fman Assigned To => fman
2010-05-13 18:39 fman Status new => assigned
2010-05-13 19:34 fman File Added: fix-3456.zip
2010-05-13 19:35 fman Note Added: 0010002
2010-05-13 19:35 fman Relationship added related to 0003455
2010-05-13 19:58 rtessier Note Added: 0010005
2010-05-13 20:25 fman Status assigned => resolved
2010-05-13 20:25 fman Fixed in Version => 1.9 Beta 5
2010-05-13 20:25 fman Resolution open => fixed
2010-07-02 18:35 fman Note Added: 0010508
2010-07-02 18:35 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker